does this printer (HP printer 6520 e) work with v10.8?

HP Photosmart 6520 e-All-in-One Printer

Back To Product

Follow this Question